<?php 
/***************************************************************************
 *   
 *   menu.php
 *
 *   copyright (C) 2011 Click Here Software Co.
 *
 *   written by: Maurice Randall
 *
 *   distributed by: FixingTheWeb.com
 *
 *   email: support@fixingtheweb.com
 *
 *   Version 1.6beta : July 18, 2011
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This is the main menu display for the ipcountryblock package which is
 *   used for blocking entire countries from having access to a an entire
 *   dedicated server.
 *
 ***************************************************************************/

/***************************************************************************
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *   
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *   
 ***************************************************************************/

// The version number of this release.
$COUNTRY_VERSION="V1.6beta";

// The name of the database setup program.
$COUNTRY_SETUP="countryiptsetup.php";
// The name of the country selecting program.
$COUNTRY_SELECTOR="countryiptables.php";
// The name of the ip to country program.
$COUNTRY_LOOKUP="iptocountry.php";
// The name of the documentation starting file.
$COUNTRY_DOCS="ipblock00.html";

if (isset($_POST['dbsetup'])) {
   include ($COUNTRY_SETUP);
}
elseif (isset($_POST['selectcountries'])) {
   include ($COUNTRY_SELECTOR);
}
elseif (isset($_POST['iptocountry'])) {
   include ($COUNTRY_LOOKUP);
}
elseif (isset($_POST['docs'])) {
   include ($COUNTRY_DOCS);
}
else {

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>
IPCountryBlock Menu
</title>
<style type="text/css">
.links{
 font-family:Tahoma, Geneva, sans-serif;
 font-size:13px;
}
</style>
</head>
<body>
<div class="links">

<font size="+1"><b>IPCountryBlock Menu</b></font>
<?php echo "<br>countryipblock package version: ".$COUNTRY_VERSION; ?>
<p/><font size="-1"><b>Visit fixingtheweb.com for this and other useful stuff.</b></font>
<hr/>
<table align="center" width="60%">
<tr>
<td>

<form method="post" action="menu.php"> 

<br/><input type=submit  name="dbsetup" value="Database Setup"/>
<br/>Use this for the initial setup as well as whenever you upgrade the .csv database
<p/><input type=submit  name="selectcountries" value="Country Selections" />
<br/>Pick and choose the countries to block
<p/><input type=submit  name="iptocountry" value="IP to Country"/>
<br/>Look up an IP address and find the country it belongs to
<p/><input type=submit  name="docs" value="Documentation"/>
<br/>Complete documentation for this package.
<br/>Or open the documentation in a <a href="ipblock00.html" target="_blank">new window</a>
</form>

</td>
</tr>
</table>

</div>
</body>
</html>

<?php
}
?>
